package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * 项目人员（主要完成人）(StaTempmember)实体类
 *
 * @author makejava
 * @since 2023-07-03 16:32:41
 */
public class StaTempmember implements Serializable {
    private static final long serialVersionUID = -45689582719896434L;

    private Integer id;
    /**
     * 姓名
     */
    private String xm;
    /**
     * 学历
     */
    private String xl;
    private String xlmc;
    /**
     * 工作内容
     */
    private String gznr;
    /**
     * 起始日期
     */
    private Date qsrq;
    /**
     * 结束日期
     */
    private Date jsrq;
    /**
     * 费用申请
     */
    private Integer fysq;
    /**
     * 项目编号
     */

    private String xmqssj;

    private String xmjsrq;

    public String getXmqssj() {
        return xmqssj;
    }

    public void setXmqssj(String xmqssj) {
        this.xmqssj = xmqssj;
    }

    public String getXmjsrq() {
        return xmjsrq;
    }

    public void setXmjsrq(String xmjsrq) {
        this.xmjsrq = xmjsrq;
    }

    private Integer zb;
    private String xmfzr;//项目负责人
    private String sfzh;//身份证号
    private Double bzfy;//报账费用
    private String byxx;//毕业学校
    private String zy;//专业
    private String gzdd;//工作地点
    private String kyfh;//科研费号

    private Integer zt; //当前人员状态

    public Integer getZt() {
        return zt;
    }

    public void setZt(Integer zt) {
        this.zt = zt;
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getXl() {
        return xl;
    }

    public void setXl(String xl) {
        this.xl = xl;
    }

    public String getGznr() {
        return gznr;
    }

    public void setGznr(String gznr) {
        this.gznr = gznr;
    }

    public Date getJsrq() {
        return jsrq;
    }

    public void setJsrq(Date jsrq) {
        this.jsrq = jsrq;
    }

    public Integer getFysq() {
        return fysq;
    }

    public void setFysq(Integer fysq) {
        this.fysq = fysq;
    }

    public Date getQsrq() {
        return qsrq;
    }

    public void setQsrq(Date qsrq) {
        this.qsrq = qsrq;
    }

    public String getXlmc() {
        return xlmc;
    }

    public void setXlmc(String xlmc) {
        this.xlmc = xlmc;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }

    public String getXmfzr() {
        return xmfzr;
    }

    public void setXmfzr(String xmfzr) {
        this.xmfzr = xmfzr;
    }

    public String getSfzh() {
        return sfzh;
    }

    public void setSfzh(String sfzh) {
        this.sfzh = sfzh;
    }

    public Double getBzfy() {
        return bzfy;
    }

    public void setBzfy(Double bzfy) {
        this.bzfy = bzfy;
    }

    public String getByxx() {
        return byxx;
    }

    public void setByxx(String byxx) {
        this.byxx = byxx;
    }

    public String getGzdd() {
        return gzdd;
    }

    public void setGzdd(String gzdd) {
        this.gzdd = gzdd;
    }

    public String getKyfh() {
        return kyfh;
    }

    public void setKyfh(String kyfh) {
        this.kyfh = kyfh;
    }
}

